![](https://github.com/LinxGem33/Neon/blob/master/artwork/arc-wide-banner-new.png?raw=true)

##
![](https://github.com/LinxGem33/Arc-Menu/blob/master/screenshots/browser.png?raw=true)
##

### Introduction

Arc Menu is a Gnome shell extension designed to replace the standard menu found in Gnome 3 this application menu extension has  some added benefits over the standard menu found in Gnome 3, these include the long awaited search functionality as well as quick access to files on your system and also the current logged in user along with quick access to the software centre and system settings and other features which can be accessed from the settings menu.

##
### What's next for Arc Menu?

My first initial priority was to get this extension stable enough to upload to extensions.gnome.org as it had to be ported to work with the gnome shell eco system, now the first stage of development is over features are now being added and I'm pleased to announce a new member of the team ([lexruee (Xander)](https://github.com/lexruee) and now a lead developer in the design and development of this extension hopefully more features are planned for future development and a lot has already been implemented.

##
|Arc Menu integrated with Dash-to-Dock|Arc Menu integrated with Dash-to-Panel|
|:-----:|:-----:|
|![](https://github.com/LinxGem33/Arc-Menu/blob/master/screenshots/apm3.png?raw=true)|![](https://github.com/LinxGem33/Arc-Menu/blob/master/screenshots/apm5.png?raw=true)|
|Click image to enlarge|Click image to enlarge|

##

### Installation

You can now install this extension from extensions.gnome.org as a one click install just click on the link below
> [One Click Install](https://extensions.gnome.org/extension/1228/arc-menu/)

##
### Dependencies

__Please note:__ For Arc-Menu to work properly, your GNOME Desktop must have 
installed the following dependencies.

On Ubuntu/Debian based systems:

 * gnome-shell-extensions
 * gnome-menus
 * gnome-tweak-tool

On Arch based systems:

 * gnome-shell-extensions
 * gnome-tweak-tool

##
### Manual Installation
For installing Arc-Menu manually from source;

Please take a look at the [Manual Installation Guide](https://github.com/LinxGem33/Arc-Menu/wiki/Installing-from-extensions.gnome.org#manual-installuninstall-using-make) 
on the Arc-Menu Wiki.

##
### Packages
Awaiting packagers

##
### Wiki Guide

If you have any issues with regard to Arc menu and your unsure of a certain feature or just want to know more about Arc menu, then the Arc menu wiki guide is a good place to start.

Please refer to the Arc menu [Wiki Guide](https://github.com/LinxGem33/Arc-Menu/wiki) 

##
### Bugs

Bugs should be reported [here](https://github.com/LinxGem33/Arc-Menu/issues) on the Github issues page.

##

Please refer to the Wiki section for a guide on: [Reporting Bugs](https://github.com/LinxGem33/Arc-Menu/wiki/Reporting-Bug's)

Please note that without any information about your system, the Arc Menu Team can only speculate what the problem is.
So, please provide us information about your GNU/Linux distribution and the GNOME Shell version. Otherwise, we are not able to try and solve your problem.

##
### License & Terms ![](https://github.com/LinxGem33/IP-Finder/blob/master/screens/Copyleft-16.png?raw=true)

Arc Menu is available under the terms of the GPL-2.0 license See [`COPYING`](https://github.com/LinxGem33/Arc-Menu/blob/master/COPYING) for details.
##

### Credits

This extension leverages some of the work from [Zorin OS menu](https://zorinos.com/).

Additional credits: This extension also leverages the work from [Giovanni Campagna ](https://git.gnome.org//browse/gnome-shell-extensions) gnome Application Menu used in [Gnome 3](https://www.gnome.org/) to allow the menu to be embedded in the Gnome main panel.
##

### Project Developers

#### @[LinxGem33](https://github.com/LinxGem33) - **Founder** - **Developer** - Digital Art Designer

#### @[lexruee](https://github.com/lexruee) - **Lead Project Developer** - UI/UX Designer

##
### Technical Advisors


##

### Pull Requests

#### Thanks to the following people for contributing via pull requests:

- @[fishears](https://github.com/fishears/Arc-Menu) (1) compiling the schema's (2) Added suspend button and re-order buttons
- @[JasonLG1979](https://github.com/JasonLG1979)  (1) menu style fix, (2) Asynchronously set an icon and handle errors
- @[itmitica](https://github.com/itmitica) (1) icon symbolic

#### Bug Fixes:

- @[JasonLG1979](https://github.com/JasonLG1979) (1) menu style fix
- @[lexruee](https://github.com/lexruee/Arc-Menu) (1) correctly restore the Activities button
##
#### Please refer to the Wiki section for a [Translation Guide](https://github.com/LinxGem33/Arc-Menu/wiki/Translation-Guide)

|Contributor|Language|Translated|Contributor|Language|Translated|
|:-----|:-----|:-----:|:-----|:-----|:-----:|
|@[h3r0n](https://github.com/h3r0n)|Italian|![ti](https://user-images.githubusercontent.com/19158615/27998683-9dd48cd0-650a-11e7-87c3-0ac3256ae574.png)|@[megasyl](https://github.com/megasyl)|French|![ti](https://user-images.githubusercontent.com/19158615/27998683-9dd48cd0-650a-11e7-87c3-0ac3256ae574.png)
|@[pkomur](https://github.com/pkomur) > updated by @[Ixoos](https://github.com/Ixoos)|Polish|![ti](https://user-images.githubusercontent.com/19158615/27998683-9dd48cd0-650a-11e7-87c3-0ac3256ae574.png)|@[madaramost](https://github.com/madaramost)|Arabic|![ti](https://user-images.githubusercontent.com/19158615/27998683-9dd48cd0-650a-11e7-87c3-0ac3256ae574.png)
|@[danielstuart14](https://github.com/danielstuart14)|Brazilian portuguese|![ti](https://user-images.githubusercontent.com/19158615/27998683-9dd48cd0-650a-11e7-87c3-0ac3256ae574.png)||Chinese|
|@[zakkak](https://github.com/zakkak)|Greek|![ti](https://user-images.githubusercontent.com/19158615/27998683-9dd48cd0-650a-11e7-87c3-0ac3256ae574.png)||Spanish|
|@[mrprobot](https://github.com/mrprobot)|German|![ti](https://user-images.githubusercontent.com/19158615/27998683-9dd48cd0-650a-11e7-87c3-0ac3256ae574.png)|@[saisasidhar](https://github.com/saisasidhar)|Hindi|![ti](https://user-images.githubusercontent.com/19158615/27998683-9dd48cd0-650a-11e7-87c3-0ac3256ae574.png)
||Portuguese|||Bengali||
|@[elsieholmes](https://github.com/elsieholmes)|Russian|![ti](https://user-images.githubusercontent.com/19158615/27998683-9dd48cd0-650a-11e7-87c3-0ac3256ae574.png)||Japanese||
||Swedish|||Dutch||
|@[neynefes](https://github.com/neynefes)|Turkish|![ti](https://user-images.githubusercontent.com/19158615/27998683-9dd48cd0-650a-11e7-87c3-0ac3256ae574.png)||Javanese||
|@[elsieholmes](https://github.com/elsieholmes)|Ukrainian|![ti](https://user-images.githubusercontent.com/19158615/27998683-9dd48cd0-650a-11e7-87c3-0ac3256ae574.png)|@[PSSGCSim](https://github.com/PSSGCSim)|Czech|![ti](https://user-images.githubusercontent.com/19158615/27998683-9dd48cd0-650a-11e7-87c3-0ac3256ae574.png)
|@[ipanamski](https://github.com/ipanamski)|Bulgarian|![ti](https://user-images.githubusercontent.com/19158615/27998683-9dd48cd0-650a-11e7-87c3-0ac3256ae574.png)|@[muhfajar](https://github.com/muhfajar) > updated by @[emhaye](https://github.com/emhaye)|Indonesian|![ti](https://user-images.githubusercontent.com/19158615/27998683-9dd48cd0-650a-11e7-87c3-0ac3256ae574.png)|

##
 ![](https://img.shields.io/badge/Language-JavaScript-yellow.svg) ![](https://img.shields.io/badge/Licence-GPL--2.0-blue.svg)
